<?php

class editorComponents extends sfComponents
{
  public function executeLeftPanel() {
  }

  public function executePlayer() {
    // Retrieve film
    $query = Doctrine_Query::create()
      ->from('ThdFilm')
      ->where("id='{$this->video->getFilmId()}'");
    $this->film = $query->execute()->getFirst();
  	return sfView::SUCCESS;
  }

  public function executeSegmentList() {

  }
}